Bug 243637 - [intel] gamma in xorg.conf does not take effect
Summary: [intel] gamma in xorg.conf does not take effect
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-i810   
(Show other bugs)
Version: rawhide
Hardware: All Linux
low
low
Target Milestone: ---
Assignee: Adam Jackson
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-06-11 03:52 UTC by Bill Nottingham
Modified: 2014-03-17 03:07 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-27 15:22:38 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
xorg log (42.48 KB, text/plain)
2007-06-11 03:52 UTC, Bill Nottingham
no flags Details

Description Bill Nottingham 2007-06-11 03:52:33 UTC
Description of problem:

Given the following snippet in xorg.conf:

Section "Monitor"
        Identifier  "Monitor0"
        Gamma 0.66 0.66 0.45
EndSection

on Xorg start, the gamma is *not* adjusted. Running:

[root@nostromo ~]# xgamma
-> Red  0.660, Green  0.660, Blue  0.450

shows that Xorg thinks it's set it, but:

[root@nostromo ~]# xgamma -gamma 1
-> Red  0.660, Green  0.660, Blue  0.450
<- Red  1.000, Green  1.000, Blue  1.000

does not actually change the display properties at all. Running later:

[root@nostromo ~]# xgamma -rgamma 0.5 -ggamma 0.5 -bgamma 0.3
-> Red  1.000, Green  1.000, Blue  1.000
<- Red  0.500, Green  0.500, Blue  0.300

darkens the screen.

Version-Release number of selected component (if applicable)

xorg-x11-drv-i810-2.0.0-3.fc7

Comment 1 Bill Nottingham 2007-06-11 03:52:33 UTC
Created attachment 156679 [details]
xorg log

Comment 2 Bill Nottingham 2007-06-12 18:59:33 UTC
Interestingly, running 'glxgears' (or, presumably, any GL app) causes the gamma
settings to magically take effect.

Comment 3 Bill Nottingham 2007-09-29 05:41:44 UTC
Still happens with 2.1.1.

Comment 4 Bill Nottingham 2007-11-14 18:47:11 UTC
Still happens with 2.1.99-1. It *appears* to be related to DRI - if DRI fails to
initialize (say, if SELinux whacks it), the gamma is set correctly.

Comment 5 Jesse Barnes 2008-01-10 22:54:29 UTC
Ah, interesting.  I'll file an upstream bug for this one, hopefully there's an 
easy fix.

Comment 6 Bill Nottingham 2008-03-27 15:22:38 UTC
Something somewhere in the past month or two of rawhide fixes this. Wonder if
it's by accident. :)


Note You need to log in before you can comment on or make changes to this bug.